//
//  $Id: PrintStatusForm.h,v 1.1 2000/06/06 09:30:51 sergey Exp $
//

#ifndef _PrintStatusForm_h_
#define _PrintStatusForm_h_

#include "UI/Form.h"
#include "IrDA/IrCallback.h"


//
// Modeless print status form.
//
// Implements IrDA callback interface in order to reflect
// IR communication status.
//
class PrintStatusForm:
    public UI::Form,
    private IrDA::Callback
{
public:
    PrintStatusForm(Word formID);

// operations

    virtual void create();

// attributes

    IrDA::Callback& irCallback() const { return const_cast<PrintStatusForm&>(*this); }

// IR callback implementation
private:
    virtual void connected();
    virtual void disconnected();
    virtual void dataSendReady();
    virtual void dataReceived(const Byte* data, int size);
    virtual void statusChanged(Status status);

// implementation

    void setConnectedStatus();
    void setDisconnectedStatus();
    void setNoProgressStatus();
    void setPrintingStatus();

    void updateStatusLabel(const char* text);

// data members
private:
    int _packetCount;
};

#endif  // _PrintStatusForm_h_
